Source: haskell-th-utilities
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
 cdbs,
 ghc (>= 8.4.3),
 ghc-prof,
 libghc-primitive-dev,
 libghc-primitive-prof,
 libghc-syb-dev,
 libghc-syb-prof,
 libghc-th-orphans-dev,
 libghc-th-orphans-prof,
 libghc-hspec-dev,
 libghc-vector-dev,
Build-Depends-Indep: ghc-doc,
 libghc-primitive-doc,
 libghc-syb-doc,
 libghc-th-orphans-doc,
Standards-Version: 4.1.4
Homepage: https://github.com/fpco/th-utilities#readme
X-Description: useful functions for use with Template Haskell
 The 'th-utilities' package provides a number of useful utilities for
 Template Haskell. In particular:
 .
  * TH.Derive provides a convenient system for using TH to derive
    typeclass instances. It allows for open registration of TH
    derivers, and reuses instance syntax for invoking them.
      * TH.Derive.Storable defines derivation of Storable for ADTs.
  * TH.ReifyDataType provides utilities for reifying simplified datatype
    info. It omits details that you don't usually want to handle, making
    it much more straightforward to generate code based on datatype
    structure.
  * TH.RelativePaths provides utilities for loading files based on paths
    relative to the cabal file. This is particularly handy for loading
    code into ghci even when its current dir isn't the package dir.
    Ideally, this module would be used by everyone who currently uses
    qAddDependentFile.
  * TH.Utilities provides a miscellaneous set of utilities that are
    useful within this package and elsewhere.

Package: libghc-th-utilities-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-th-utilities-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-th-utilities-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
